/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package it.unitn.disi.lingProg.longato;

import javafx.scene.Node;
import javafx.scene.control.Label;

/**
 * Un @Alloggio di tipo Pensione
 * @author matteo.longato
 */
public class Pensione extends Alloggio{
    Offer innOffer;

    public Pensione(String name, int price, double grade, Offer innOffer) {
        super(name, price, grade);
        this.innOffer = innOffer;
    }

    @Override
    public Node getAdditionalInfo() {
        return new Label(innOffer.toString());
    }
    
    
    public enum Offer{
        SOLO_COLAZIONE,
        MEZZA_PENSIONE,
        PENSIONE_COMPLETA
    }
}
